Bug 141488 - Cisco Aironet 350 PCMCIA driver highly unstable
Cisco Aironet 350 PCMCIA driver highly unstable
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-12-01 10:44 EST by Andrew Meredith
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:10:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2004-12-01 10:44:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Within less than a day of operation, the Cisco Aironet 350 PCMCIA WLAN
card will lock up. Under FC1, removing and reinserting the card would
be sufficient to get things going again. Under FC2 the card was more
or less useless. Now under FC3 I need to remove the card, restart the
pcmcia service and then insert the card and restart the network service.

No useful log entries.

Unfortuneately it also locks up parts of the rest of the kernel. NFS
locks up as does BIND amongst other things.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot machine (with or without card inserted)
2. Wait for up to a day
3. Fail to access network

Actual Results:  Locked up network system

Expected Results:  Reliable service

Additional info:

The green light on the card keeps flashing slowly even when it's
locked up.
Comment 1 Antonio 2004-12-09 02:12:17 EST
I have a similar card:

From the back of the card:

The card was working in FC2, but I don't tested it throughly (copying
big files) just for Internet navigation. Even I downloaded the FC3
CD's using it.

After installed FC3, I wanted to copy the CD's to our internal server
and I it hangs my computer. After some tests, I noted the problem
showed when the >600MB file where in the 50% of the copy.

I made the same test using winXP in the same machine and same card and
everything works as expected. I copied all 4 CD's at once without

Later, I also upgraded the firmware of my card from 4.25.30 to 5.60.08
(the lastest).

After the firmware upgrade, the problem of copying big files persisted
a little bit worse. I am not able to copy files grater than 190MB.
Also 2 times the computer for no reasons hanged in the last 2 weeks.
Not sure why. I can left the computer on for more than a day and the
connection is there, but I cannot copy big files. It seems to be a big

The kernel: 2.6.9-1.681_FC3

If you need more info, let me know.
Comment 2 gene c 2005-02-20 00:28:41 EST
Stopped working for me too. On a fresh reboot network starts with both
kernels kernel-2.6.10-1.760_FC3 and kernel-2.6.10-1.766_FC3 but afterr
a short period there are network errors and it is unusable. 

This is with low network traffic (1 idle browser).

I tried with 2 different cards.

ifdown eth1 ; ifup eth1

restores it - a short while later it just stops working as abvove with
errors (10's of thousands) visible in ifconfig

ifdown the interface and removeing the card causes an OOPS as well
(reported elsewhere I believe - this has been around for a long time
tho) so this is probably unrelated.

Pretty sure it was fine under 740 kernel.

Comment 3 gene c 2005-02-20 10:44:17 EST
 Log file contains:

  airo: BAP setup error too many retries

   Ifconfig has RX and TX errors (now reached 3 * 10^9 !!) as
collisions - RX and TX bytes say 3 GiB. Presumably these are the retries.

   Card works for only a few minutes before failure.
Comment 4 Dave Jones 2005-07-15 15:31:53 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:10:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.